%h3.page-title
  = t("projects_section.new_tree.new_file")
%hr
.file-editor
  = form_tag(project_new_tree_path(@project, @id), method: :put, class: "form-horizontal") do
    .form-group.commit_message-group
      = label_tag 'file_name', class: "control-label" do
        = t("projects_section.new_tree.file_name")
      .col-sm-10
        .input-group
          %span.input-group-addon
            = @path[-1] == "/" ? @path : @path + "/"
          = text_field_tag 'file_name', params[:file_name], placeholder: "sample.rb", required: true, class: 'form-control'
          %span.input-group-addon
            = t("projects_section.new_tree.on_branch")
            %span= @ref

    .form-group.commit_message-group
      = label_tag :encoding, class: "control-label" do
        = t("projects_section.new_tree.encoding")
      .col-sm-10
        = select_tag :encoding, options_for_select([ "base64", "text" ], "text"), class: 'form-control'

    .form-group.commit_message-group
      = label_tag 'commit_message', class: "control-label" do
        = t("projects_section.new_tree.commit_message")
      .col-sm-10
        = render 'shared/commit_message_container', {textarea: text_area_tag('commit_message',
            params[:commit_message], placeholder: t('projects_section.new_tree.added_new_file'), required: true, rows: 3, class: 'form-control')}

    .file-holder
      .file-title
        %i.icon-file
      .file-content.code
        %pre#editor= params[:content]

    .form-actions
      = hidden_field_tag 'content', '', id: "file-content"
      .commit-button-annotation
        = button_tag t('projects_section.new_tree.commit_changes'), class: 'btn commit-btn js-commit-button btn-create'
        .message
          = t('projects_section.new_tree.to_branch')
          %strong= @ref
      = link_to t('projects_section.new_tree.cancel'), project_tree_path(@project, @id), class: "btn btn-cancel", data: { confirm: leave_edit_message}

:javascript
  ace.config.set("modePath", gon.relative_url_root + "#{Gitlab::Application.config.assets.prefix}/ace-src-noconflict")
  var editor = ace.edit("editor");

  disableButtonIfEmptyField("#commit_message", ".js-commit-button");

  $(".js-commit-button").click(function(){
    $("#file-content").val(editor.getValue());
    $(".file-editor form").submit();
  });
